development:
  main:
    adapter: postgresql
    encoding: unicode
    database: gitlabhq_development
    host: <%= config.postgresql.host %>
    port: <%= config.postgresql.port %>
    pool: 10
    prepared_statements: false
    variables:
      statement_timeout: 120s
<%- if config.load_balancing.enabled -%>
  <%- unless config.geo? -%>
    load_balancing:
      hosts:
        - <%= config.postgresql.host %>
  <%- end -%>
<%- end -%>
<%- if config.gitlab.rails.databases.ci.__enabled -%>
  ci:
    adapter: postgresql
    encoding: unicode
  <%- if config.gitlab.rails.databases.ci.__use_main_database -%>
    database: gitlabhq_development
  <%- else -%>
    database: gitlabhq_development_ci
  <%- end -%>
    host: <%= config.postgresql.host %>
    port: <%= config.postgresql.port %>
    pool: 10
    prepared_statements: false
    variables:
      statement_timeout: 120s
<%- end -%>

test: &test
  main:
    adapter: postgresql
    encoding: unicode
    database: gitlabhq_test
    host: <%= config.postgresql.host %>
    port: <%= config.postgresql.port %>
    pool: 10
    prepared_statements: false
    variables:
      statement_timeout: 120s
<%- if config.gitlab.rails.databases.ci.__enabled -%>
  ci:
    adapter: postgresql
    encoding: unicode
  <%- if config.gitlab.rails.databases.ci.__use_main_database -%>
    database: gitlabhq_test
  <%- else -%>
    database: gitlabhq_test_ci
  <%- end -%>
    host: <%= config.postgresql.host %>
    port: <%= config.postgresql.port %>
    pool: 10
    prepared_statements: false
    variables:
      statement_timeout: 120s
<%- end -%>
